> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses vendors credential schema



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/vendors/{vendorId}/credential-schema
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/vendors/{vendorId}/credential-schema:
    get:
      tags:
        - BusinessVendors
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: vendorId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckCredentialSchemaDto
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckCredentialSchemaDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckCredentialSchemaDto
        '204':
          description: No Content
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsSDKEntitiesDeckV2DeckCredentialSchemaDto:
      type: object
      properties:
        vendorId:
          type: integer
          format: int64
        authMethod:
          type: string
          nullable: true
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckCredentialFieldDto
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SmartbillsSDKEntitiesDeckV2DeckCredentialFieldDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        required:
          type: boolean
        secret:
          type: boolean
        placeholder:
          type: string
          nullable: true
      additionalProperties: false

````